Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class SortedItemList

    java.lang.Object
      oracle.ifs.server.SortedItemList

All Implemented Interfaces:
  java.io.Serializable

    public class SortedItemList

extends java.lang.Object
implements java.io.Serializable

A SortedItemList holds the information pertaining to a sorted set of of PublicObject items. This is used by the S_LibraryObjectDataSharedState class to manage sorted sets of PublicObject IDs for folder items.

Warning! For internal use only. Please check with authors before considering any change to this class.

See Also:
  Serialized Form
(Unpublished)

Field Summary
`protected java.lang.Long[]` | `m_ItemIds` The ids.
`protected SortSpecification` | `m_SortSpecification` The SortSpecification.

Constructor Summary
`SortedItemList(java.lang.Long[] ids, SortSpecification sort)` Construct a SortedItemList

Method Summary
`java.lang.Long[]` | `getItemIds()` Gets the item IDs
`SortSpecification` | `getSortSpecification()` Gets the Sort specification

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_ItemIds

    protected java.lang.Long[] m_ItemIds

  Description copied from class: `SortedItemList`
  The ids.

  (Unpublished)

### m_SortSpecification

    protected SortSpecification m_SortSpecification

  Description copied from class: `SortedItemList`
  The SortSpecification.

  (Unpublished)

Constructor Detail

### SortedItemList

    public SortedItemList(java.lang.Long[] ids,
                          SortSpecification sort)

  Construct a SortedItemList

  Throws:
    `IfsException` - if operation fails.
  (Published)

Method Detail

### getItemIds

    public java.lang.Long[] getItemIds()

  Description copied from class: `SortedItemList`
  Gets the item IDs

  Returns:
    the ids
  (Published)

### getSortSpecification

    public SortSpecification getSortSpecification()

  Description copied from class: `SortedItemList`
  Gets the Sort specification

  Returns:
    the SortSpecification
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD